Bug 200193 - [JSC] Emit write barrier after storing instead of before storing
Summary: [JSC] Emit write barrier after storing instead of before storing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-27 00:14 PDT by Yusuke Suzuki
Modified: 2019-07-30 18:35 PDT (History)
7 users (show)

See Also:


Attachments
Patch (23.49 KB, patch)
2019-07-27 00:14 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (23.58 KB, patch)
2019-07-27 00:35 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews115 for mac-highsierra (556.45 KB, application/zip)
2019-07-27 01:46 PDT, Build Bot
no flags Details
Patch (23.55 KB, patch)
2019-07-27 02:55 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (31.89 KB, patch)
2019-07-29 16:19 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (32.29 KB, patch)
2019-07-29 16:53 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (32.28 KB, patch)
2019-07-29 18:18 PDT, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2019-07-27 00:14:04 PDT
[JSC] Emit write barrier *after* storing
Comment 1 Yusuke Suzuki 2019-07-27 00:14:12 PDT
Created attachment 375018 [details]
Patch
Comment 2 Yusuke Suzuki 2019-07-27 00:35:48 PDT
Created attachment 375020 [details]
Patch
Comment 3 Build Bot 2019-07-27 01:46:15 PDT
Comment on attachment 375020 [details]
Patch

Attachment 375020 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12820575

Number of test failures exceeded the failure limit.
Comment 4 Build Bot 2019-07-27 01:46:16 PDT
Created attachment 375022 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 5 Yusuke Suzuki 2019-07-27 02:55:39 PDT
Created attachment 375027 [details]
Patch
Comment 6 Yusuke Suzuki 2019-07-29 11:00:41 PDT
<rdar://53668603>
Comment 7 Yusuke Suzuki 2019-07-29 16:19:35 PDT
Created attachment 375120 [details]
Patch

WIP
Comment 8 Yusuke Suzuki 2019-07-29 16:53:47 PDT
Created attachment 375126 [details]
Patch
Comment 9 Yusuke Suzuki 2019-07-29 18:18:04 PDT
Created attachment 375133 [details]
Patch
Comment 10 Saam Barati 2019-07-30 17:01:28 PDT
Comment on attachment 375133 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=375133&action=review

> Source/JavaScriptCore/ChangeLog:8
> +        I reviewed tricky GC-related code including visitChildren and manual writeBarrier, and I found that we have several problems about write-barriers.

about => with
Comment 11 Yusuke Suzuki 2019-07-30 18:23:45 PDT
Comment on attachment 375133 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=375133&action=review

>> Source/JavaScriptCore/ChangeLog:8
>> +        I reviewed tricky GC-related code including visitChildren and manual writeBarrier, and I found that we have several problems about write-barriers.
> 
> about => with

Fixed. Thanks!
Comment 12 Yusuke Suzuki 2019-07-30 18:35:44 PDT
Committed r248027: <https://trac.webkit.org/changeset/248027>